package com.lutao.cloud.auth.sso.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class SSOUserInfo {
    /**
     * 人员ID
     * 人员在统一身份管理系统内唯一标识，全生命周期内保持不变。
     */
    @JsonProperty("USER_ID")
    private String userId;

    /**
     * 身份UUID（身份证号对应的）
     * 人员全局唯一标识，全生命周期内保持不变。
     * 应用系统获取人员标识后，需本地保留，以便跟踪人员的全生命周期变化
     */
    @JsonProperty("IDCARD_UUID")
    private String idCardUUID;

    /**
     * 姓名
     */
    @JsonProperty("USER_NAME")
    private String userName;

    /**
     * 姓名拼音
     */
    @JsonProperty("USER_NAME_PINYIN")
    private String userNamePinYin;

    /**
     * 职称
     */
    @JsonProperty("JOB_TITLE")
    private String jobTitle;

    /**
     * 手机号
     */
    @JsonProperty("MOBILE")
    private String mobile;

    /**
     * 邮箱
     */
    @JsonProperty("EMAIL")
    private String email;

    /**
     * 性别
     */
    @JsonProperty("SEX")
    private Integer sex;

    /**
     * 备注
     */
    @JsonProperty("REMARK")
    private String remark;

    /**
     * 更新时间
     */
    @JsonProperty("UPDATE_TIME")
    private String updateTime;

    /**
     * 人员岗位ID
     */
    @JsonProperty("USER_JOB_ID")
    private String userJobId;

    /**
     * 所属机构
     */
    @JsonProperty("ORG_ID")
    private String orgId;

    /**
     * 机构编码
     */
    @JsonProperty("ORG_NO")
    private String orgNo;

    /**
     * 职务
     */
    @JsonProperty("JOB_POSITION")
    private String jobPosition;

    /**
     * 办公电话
     */
    @JsonProperty("OFFICE_PHONE")
    private String officePhone;

    /**
     * 办公地址
     */
    @JsonProperty("OFFICE_ADDRESS")
    private String officeAddress;

    /**
     * 显示顺序
     */
    @JsonProperty("SHOW_ORDER")
    private String showOrder;

    /**
     * 用户状态  2000正常  其他非正常
     */
    @JsonProperty("STATUS")
    private Integer status;
}