package com.lutao.cloud.collect.vo;

import com.fasterxml.jackson.databind.JsonNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 数据添加VO
 *
 * @author yx
 * @date 2023/07/18
 */
@Data
@ApiModel(value = "数据添加VO")
public class DataAddVO implements Serializable {

    private static final long serialVersionUID = -7653581194214151989L;
    @ApiModelProperty(value = "对接系统分配的appKey")
    private String appKey;

    @ApiModelProperty(value = "请求id，uuid")
    private String requestId;

    @ApiModelProperty(value = "命令，add：新增；upd：更新；del：删除；find：查询；")
    private String command;

    @ApiModelProperty(value = "时间戳 毫秒")
    private Long ts;

    @ApiModelProperty(value = "需要变更的资源")
    private String resource;

    private String sign;

    private JsonNode jsonDate;

    private String appId;
}
