

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 应用app信息
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Data
@TableName("app_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "应用app信息")
public class AppInfo extends Model<AppInfo> {

    private static final long serialVersionUID = 1L;

    /**
     * appid
     */
    @TableId
    @ApiModelProperty(value="appid")
    private String id;

    /**
     * 企业编号
     */
    @ApiModelProperty(value="企业编号")
    private String companyCode;

    /**
     * 企业名称
     */
    @ApiModelProperty(value="企业名称")
    @JsonProperty(value = "")
    private String companyName;

    /**
     * 应用名称
     */
    @ApiModelProperty(value="应用名称")
    private String appName;

    /**
     * 系统生成，对接需要
     */
    @ApiModelProperty(value="系统生成，对接需要")
    private String appKey;

    /**
     * 系统生成，对接需要
     */
    @ApiModelProperty(value="系统生成，对接需要")
    private String appSecret;

    /**
     * 系统生成，数据加密secret
     */
    @ApiModelProperty(value="系统生成，数据加密secret")
    private String clientSecret;

    /**
     * 0.申请1.对接中2.对接完成
     */
    @ApiModelProperty(value="0.申请1.对接中2.对接完成")
    private Integer pfStatus;

}
