

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 重大事项报告信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Data
@TableName("matters_manager")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "重大事项报告信息数据")
public class MattersManager extends Model<MattersManager> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "matters_manager表{id}不能为空")
    private String originId;

    /**
     * 设施名称
     */
    @ApiModelProperty(value="设施名称")
    private String facilityName;

    @ApiModelProperty(value = "设施编码")
    private String facilityCode;

    @ApiModelProperty(value = "设备名称")
    private String equipName;

    @ApiModelProperty(value = "设备编码")
    private String equipCode;

    /**
     * 报告人编码
     */
    @ApiModelProperty(value="报告人编码")
    @Validation(message = "matters_manager表{report_person_id}不能为空")
    private String reportPersonId;

    /**
     * 接收人编码
     */
    @ApiModelProperty(value="接收人编码")
    @Validation(message = "matters_manager表{receive_person_id}不能为空")
    private String receivePersonId;

    /**
     * 报告时间
     */
    @ApiModelProperty(value="报告时间")
    @Validation(message = "matters_manager表{report_time}不能为空")
    private LocalDateTime reportTime;

    /**
     * 报告内容
     */
    @ApiModelProperty(value="报告内容")
    @Validation(message = "matters_manager表{report_content}不能为空")
    private String reportContent;

    /**
     * 报告形式;1 纸质文件2 电子版
     */
    @ApiModelProperty(value="报告形式;1 纸质文件2 电子版")
    @Validation(message = "matters_manager表{report_type}不能为空")
    private Integer reportType;

    /**
     * 报告附件
     */
    @ApiModelProperty(value="报告附件")
    @Validation(message = "matters_manager表{report_file}不能为空")
    private String reportFile;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "matters_manager表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    private String updateBy;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
