package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@TableName("ministerial_supervision_detail")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "部级督导闭环管理信息")
public class MinisteriaSupervisionDetail extends Model<MinisteriaSupervisionDetail> {
    private static final long serialVersionUID = -8694513977580490284L;

    @TableId
    @ApiModelProperty(value="主键id")
    private Integer id;

    @ApiModelProperty(value="origin_id")
    private String originId;

    @ApiModelProperty(value="app_id")
    private String appId;

    @ApiModelProperty(value="平台id")
    private String platformId;

    @ApiModelProperty(value="平台编码")
    private String platformCode;

    @ApiModelProperty(value="设施名称")
    private String facilityName;

    @ApiModelProperty(value="设施编码")
    private String facilityCode;

    @ApiModelProperty(value="问题描述")
    private String hiddenProblems;

    @ApiModelProperty(value="整治措施")
    private String treatmentMeasures;

    @ApiModelProperty(value="问题隐患整治状态 001 待整治 002 已整治")
    private String hiddenProblemsState;

    @ApiModelProperty(value="录入时间")
    private LocalDate inputTime;

    @ApiModelProperty(value="整治期限")
    private LocalDate rectificationPeriod;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
