

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 感知监测报警信息
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Data
@TableName("perception_monitor_alarm_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "感知监测报警信息")
public class PerceptionMonitorAlarmInfo extends Model<PerceptionMonitorAlarmInfo> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "perception_monitor_alarm_info表{id}不能为空")
    private String originId;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "perception_monitor_alarm_info表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 设备id
     */
    @ApiModelProperty(value="设备id")
    //@Validation(message = "perception_monitor_alarm_info表{equip_id}不能为空")
    private String equipId;

    /**
     * 设备位号
     */
    @ApiModelProperty(value="设备位号")
    @Validation(message = "perception_monitor_alarm_info表{equip_code}不能为空")
    private String equipCode;

    /**
     * 设备名称
     */
    @ApiModelProperty(value="设备名称")
    //@Validation(message = "perception_monitor_alarm_info表{equip_name}不能为空")
    private String equipName;

    /**
     * 工艺参数id
     */
    @ApiModelProperty(value="工艺参数id")
    @Validation(message = "perception_monitor_alarm_info表{tag_id}不能为空")
    private String tagId;

    /**
     * 工艺参数编码
     */
    @ApiModelProperty(value="工艺参数编码")
    @Validation(message = "perception_monitor_alarm_info表{tag_code}不能为空")
    private String tagCode;

    /**
     * 工艺参数名称
     */
    @ApiModelProperty(value="工艺参数名称")
    @Validation(message = "perception_monitor_alarm_info表{tag_name}不能为空")
    private String tagName;

    /**
     * 报警值
     */
    @ApiModelProperty(value="报警值")
    @Validation(message = "perception_monitor_alarm_info表{alarm_value}不能为空")
    private Double alarmValue;

    /**
     * 采集时间
     */
    @ApiModelProperty(value="采集时间")
    @Validation(message = "perception_monitor_alarm_info表{collect_time}不能为空")
    private LocalDateTime collectTime;

    /**
     * 最后更新时间
     */
    @ApiModelProperty(value="最后更新时间")
    @Validation(message = "perception_monitor_alarm_info表{last_update_time}不能为空")
    private LocalDateTime lastUpdateTime;

    /**
     * 报警状态：0 报警；1 消警；
     */
    @ApiModelProperty(value="报警状态：0 报警；1 消警；")
    @Validation(message = "perception_monitor_alarm_info表{alarm_state}不能为空")
    private Integer alarmState;

    /**
     * 报警类型：1 高报；2 高高报；3 低报；4 低低报；
     */
    @ApiModelProperty(value="报警类型：1 高报；2 高高报；3 低报；4 低低报；")
    @Validation(message = "perception_monitor_alarm_info表{alarm_type}不能为空")
    private Integer alarmType;

    /**
     * 处理人姓名
     */
    @ApiModelProperty(value="处理人姓名")
    @Validation(message = "perception_monitor_alarm_info表{handle_by}不能为空")
    private String handleBy;

    /**
     * 处理状态：0 未处理；1 已处理；
     */
    @ApiModelProperty(value="处理状态：0 未处理；1 已处理；")
    @Validation(message = "perception_monitor_alarm_info表{handle_state}不能为空")
    private Integer handleState;

    /**
     * 报警时长
     */
    @ApiModelProperty(value="报警时长")
    @Validation(message = "perception_monitor_alarm_info表{alarm_duration}不能为空")
    private String alarmDuration;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    @Validation(message = "perception_monitor_alarm_info表{update_date}不能为空")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    @Validation(message = "perception_monitor_alarm_info表{create_by}不能为空")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    @Validation(message = "perception_monitor_alarm_info表{update_date}不能为空")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    @Validation(message = "perception_monitor_alarm_info表{update_by}不能为空")
    private String updateBy;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
