

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 人员离平台动态信息
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Data
@TableName("person_out_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "人员离平台动态信息")
public class PersonOutInfo extends Model<PersonOutInfo> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "person_out_info表{id}不能为空")
    private String originId;

    /**
     * 人员id
     */
    @ApiModelProperty(value="人员id")
    //@Validation(message = "person_out_info表{person_id}不能为空")
    private String personId;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "person_out_info表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 人员姓名
     */
    @ApiModelProperty(value="人员姓名")
    @Validation(message = "person_out_info表{person_name}不能为空")
    private String personName;

    @ApiModelProperty(value="人员类型 1内部人员 2承包商 3临时 4其他")
    @Validation(message = "person_in_info表{person_type}不能为空")
    private String personType;

    /**
     * 出海证号
     */
    @ApiModelProperty(value="出海证号")
    private String outSeaNum;

    /**
     * 任务编号
     */
    @ApiModelProperty(value="任务编号")
    private String taskNum;

    /**
     * 离开平台时间
     */
    @ApiModelProperty(value="离开平台时间")
    @Validation(message = "person_out_info表{out_time}不能为空")
    private LocalDateTime outTime;

    /**
     * 地点
     */
    @ApiModelProperty(value="地点")
    @Validation(message = "person_out_info表{address}不能为空")
    private String address;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;

    /**
     * updateBy
     */
    @ApiModelProperty(value="updateBy")
    private String updateBy;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
