

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Data
@TableName("work_staus")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class WorkStaus extends Model<WorkStaus> {

    private static final long serialVersionUID = 1L;

    /**
     * 工况id
     */
    @TableId
    @ApiModelProperty(value="工况id")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "work_staus表{id}不能为空")
    private String originId;

    /**
     * 设备id，专业设备origin_id
     */
    @ApiModelProperty(value="设备id，专业设备origin_id")
    @Validation(message = "work_staus表{equip_id}不能为空")
    private String equipId;

    /**
     * 设备编码
     */
    @ApiModelProperty(value="设备编码")
    @Validation(message = "work_staus表{equip_code}不能为空")
    private String equipCode;

    /**
     * 工况状态：0关停；1 启动；
     */
    @ApiModelProperty(value="工况状态：0关停；1 启动；")
    @Validation(message = "work_staus表{work_status}不能为空")
    private Integer workStatus;

    /**
     * 上报时间
     */
    @ApiModelProperty(value="上报时间")
    @Validation(message = "work_staus表{collect_time}不能为空")
    private LocalDateTime collectTime;

    /**
     * 关断等级：1 未关断；2 单元关断；3 生产关断；4 火气关断；5 平台关断；
     */
    @ApiModelProperty(value="关断等级：1 未关断；2 单元关断；3 生产关断；4 火气关断；5 平台关断；")
    @Validation(message = "work_staus表{to_levle}不能为空")
    private Integer toLevle;

    /**
     * 变更原因:001 火灾报警；002 可燃气体泄漏；003 有毒有害气体泄漏；
     */
    @ApiModelProperty(value="变更原因:001 火灾报警；002 可燃气体泄漏；003 有毒有害气体泄漏；")
    @Validation(message = "work_staus表{change_reason}不能为空")
    private String changeReason;

    /**
     * 阀设备关断状态：0 关断；1 开启；
     */
    @ApiModelProperty(value="阀设备关断状态：0 关断；1 开启；")
    @Validation(message = "work_staus表{valve_state}不能为空")
    private Integer valveState;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    @Validation(message = "work_staus表{create_date}不能为空")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    @Validation(message = "work_staus表{create_by}不能为空")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    @Validation(message = "work_staus表{update_date}不能为空")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    @Validation(message = "work_staus表{update_by}不能为空")
    private String updateBy;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private Integer pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台id，平台origin_id
     */
    @ApiModelProperty(value="平台id，平台origin_id")
    private String platformId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "work_staus表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
