package com.lutao.cloud.iot.mqtt.spring.client;

import com.lutao.cloud.iot.mqtt.codec.MqttQoS;

import java.lang.annotation.*;

/**
 * 客户端订阅注解
 *

 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface MqttClientSubscribe {

	/**
	 * 订阅的 topic filter
	 *
	 * @return topic filter
	 */
	String[] value();

	/**
	 * 订阅的 qos
	 *
	 * @return MqttQoS
	 */
	MqttQoS qos() default MqttQoS.AT_MOST_ONCE;

}
