package com.lutao.cloud.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 日志表
 * </p>
 *

 * @since 2017-11-20
 */
@ApiModel(description = "<p> 日志表 </p>")
@Data
public class SysLog implements Serializable{

	private static final long serialVersionUID = 8120194817130087040L;

	/**
	 * 编号
	 */
	@ApiModelProperty("编号")
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 日志类型
	 */
	@ApiModelProperty("日志类型")
	@NotBlank(message = "日志类型不能为空")
	private String type;

	/**
	 * 日志标题
	 */
	@ApiModelProperty("日志标题")
	@NotBlank(message = "日志标题不能为空")
	private String title;

	/**
	 * 创建者
	 */
	@ApiModelProperty("创建者")
	private String createBy;

	/**
	 * 创建时间
	 */
	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	/**
	 * 更新时间
	 */
	@ApiModelProperty("更新时间")
	private LocalDateTime updateTime;

	/**
	 * 操作IP地址
	 */
	@ApiModelProperty("操作IP地址")
	private String remoteAddr;

	/**
	 * 用户代理
	 */
	@ApiModelProperty("用户代理")
	private String userAgent;

	/**
	 * 请求URI
	 */
	@ApiModelProperty("请求URI")
	private String requestUri;

	/**
	 * 操作方式
	 */
	@ApiModelProperty("操作方式")
	private String method;

	/**
	 * 操作提交的数据
	 */
	@ApiModelProperty("操作提交的数据")
	private String params;

	/**
	 * 执行时间
	 */
	@ApiModelProperty("执行时间")
	private Long time;

	/**
	 * 异常信息
	 */
	@ApiModelProperty("异常信息")
	private String exception;

	/**
	 * 服务ID
	 */
	@ApiModelProperty("服务ID")
	private String serviceId;

	/**
	 * 删除标记
	 */
	@ApiModelProperty("删除标记")
	@TableLogic
	private String delFlag;


	/**
	 * 部门id
	 */
	@ApiModelProperty("部门id")
	private Integer deptId;


	/**
	 * 用户id
	 */
	@ApiModelProperty("用户id")
	private Integer userId;

}
