package com.lutao.cloud.admin.api.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Email;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户表
 * </p>
 *

 * @since 2017-10-29
 */
@Data
@ApiModel(value = "用户")
@TableName("sys_user_info")
public class SysUser implements Serializable{

	private static final long serialVersionUID = 5235741195876842939L;

	/**
	 * 主键ID
	 */
	@ApiModelProperty("主键ID")
    @TableId(value = "user_id", type = IdType.AUTO)
    private Integer userId;

	/**
	 * 用户名
	 */
	@ApiModelProperty("用户名")
    private String username;

	/**
	 * 密码
	 */
	@ApiModelProperty("密码")
    private String password;

	/**
	 * 随机盐
	 */
	@ApiModelProperty("随机盐")
    @JsonIgnore
    private String salt;

	/**
	 * 创建时间
	 */
	@ApiModelProperty("创建时间")
    private LocalDateTime createTime;

	/**
	 * 修改时间
	 */
	@ApiModelProperty("修改时间")
    private LocalDateTime updateTime;

	/**
	 * 0-正常，1-删除
	 */
	@ApiModelProperty("0-正常，1-删除")
    @TableLogic
    private String delFlag;

	/**
	 * 锁定标记
	 */
	@ApiModelProperty("锁定标记")
    private String lockFlag;

	/**
	 * 手机号
	 */
	@ApiModelProperty("手机号")
    private String phone;

	/**
	 * 头像
	 */
	@ApiModelProperty("头像")
    private String avatar;

	/**
	 * 部门ID
	 */
	@ApiModelProperty("部门ID")
    private Integer deptId;

	/**
	 * 租户ID
	 */
	@ApiModelProperty("租户ID")
    private Integer tenantId;

	/**
	 * 微信openid
	 */
	@ApiModelProperty("微信openid")
    private String wxOpenid;

	/**
	 * 微信小程序openId
	 */
	@ApiModelProperty("微信小程序openId")
    private String miniOpenid;

	/**
	 * QQ openid
	 */
	@ApiModelProperty("QQ openid")
    private String qqOpenid;

	/**
	 * 码云唯一标识
	 */
	@ApiModelProperty("码云唯一标识")
    private String giteeLogin;

	/**
	 * 开源中国唯一标识
	 */
	@ApiModelProperty("开源中国唯一标识")
    private String oscId;

	/**
	 * 用户来源
	 */
	@ApiModelProperty("用户来源 1: 系统用户  2 园区方注册  3企业注册  4 sso对接  5需求方注册")
	private Integer userFrom;

	/**
	 * 公司
	 */
	@ApiModelProperty("公司id 0 无公司，需要补充公司  其他为公司id")
	private Integer companyId;

	/**
	 * 公司
	 *//*
	@ApiModelProperty("园区id 0 无园区，其他为园区id")
	private Integer parkId;*/

	/**
	 * 昵称/真实姓名
	 */
	@ApiModelProperty("真实姓名")
	private String nickname;

	/**
	 * 邮箱
	 */
	@ApiModelProperty("邮箱")
	@Email(message = "必须是邮箱格式")
	private String email;


//	@ApiModelProperty("三方认证id")
//	private Integer thirdAuthId;

/*	*//**
	 * 认证标识
	 *//*
	@ApiModelProperty(value="0 待审核  1 认证通过  2认证失败  3认证失效")
	@TableField(exist = false)
	private Integer authFlag;


	*//**
	 * 认证标识
	 *//*
	@ApiModelProperty(value="0 待审核  1 认证通过  2认证失败  3认证失效")
	@TableField(exist = false)
	private Integer userAuthFlag;*/

}
