package com.lutao.cloud.admin.api.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * Create by guoyc on 2021/12/31
 */
@Data
@ApiModel(value = "前端租户展示对象")
public class TenantVO{

    /**
     * 租户id
     */
    @ApiModelProperty("租户id")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 租户名称
     */
    @ApiModelProperty("租户名称")
    private String name;

    /**
     * 租户编号
     */
    @ApiModelProperty("租户编号")
    private String code;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    /**
     * 0正常 9-冻结
     */
    @ApiModelProperty("0正常 9-冻结")
    private String status;

    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @TableLogic
    private String delFlag;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    /**
     * 是否可以配置最大用户数  最大在线人数  最大装机数  存储空间   通话时长
     */
    @ApiModelProperty("是否可以配置最大用户数  最大在线人数  最大装机数  存储空间   通话时长")
    @TableField(exist = false)
    private boolean configEnable;

    /**
     * 最大用户数
     */
    @ApiModelProperty("最大用户数")
    private Integer maxUser;

    /**
     * 最大在线人数
     */
    @ApiModelProperty("最大在线人数")
    private Integer maxOnline;

    /**
     * 最大装机数
     */
    @ApiModelProperty("最大装机数")
    private Integer maxInstall;

    /**
     * 0 正式   1试用
     */
    @ApiModelProperty("0 正式   1试用")
    private Integer tenantType;

    /**
     * 应用id
     */
    @ApiModelProperty("应用id")
    private String appId;

    /**
     * 企业邮箱
     */
    @ApiModelProperty("企业邮箱")
    private String email;

    /**
     * 企业电话
     */
    @ApiModelProperty("企业电话")
    private String phone;

    /**
     * 应用secret
     */
    @ApiModelProperty("应用secret")
    private String appSecret;

    /**
     * rtc关联id
     */
    @ApiModelProperty("rtc关联id")
    private Integer rtcId;

    /**
     * 可用空间大小（MB）
     */
    @ApiModelProperty(value="可用空间大小（MB）")
    private Long maxDisk;

    /**
     * 可用时间（分钟）
     */
    @ApiModelProperty(value="可用时间（分钟）")
    private Long maxTime;

}
