package com.lutao.cloud.admin.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**

 * @date 2017/10/29
 */
@ApiModel(description = "个人中心的用户信息展示")
@Data
public class UserByIdVO implements Serializable{

	private static final long serialVersionUID = 92186409325122943L;

	/**
	 * 主键ID
	 */
	@ApiModelProperty("主键ID")
	private Integer userId;

	/**
	 * 用户名
	 */
	@ApiModelProperty("用户名")
	private String username;

	/**
	 * 密码
	 */
	@ApiModelProperty("密码")
	private String password;

	/**
	 * 随机盐
	 */
	@ApiModelProperty("随机盐")
	private String salt;

	/**
	 * 微信openid
	 */
	@ApiModelProperty("微信openid")
	private String wxOpenid;

	/**
	 * QQ openid
	 */
	@ApiModelProperty("QQ openid")
	private String qqOpenid;

	/**
	 * 创建时间
	 */
	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	/**
	 * 修改时间
	 */
	@ApiModelProperty("修改时间")
	private LocalDateTime updateTime;

	/**
	 * 0-正常，1-删除
	 */
	@ApiModelProperty("0-正常，1-删除")
	private String delFlag;

	/**
	 * 锁定标记
	 */
	@ApiModelProperty("锁定标记")
	private String lockFlag;

	/**
	 * 手机号
	 */
	@ApiModelProperty("手机号")
//	@Sensitive(type = SensitiveTypeEnum.MOBILE_PHONE)
	private String phone;

	/**
	 * 头像
	 */
	@ApiModelProperty("头像")
	private String avatar;

	/**
	 * 部门ID
	 */
	@ApiModelProperty("部门ID")
	private Integer deptId;

	/**
	 * 租户ID
	 */
	@ApiModelProperty("租户ID")
	private Integer tenantId;

	/**
	 * 部门名称
	 */
	@ApiModelProperty("部门名称")
	private String deptName;



	/**
	 * 用户职位
	 */
	@ApiModelProperty(value="用户职位")
	private String position;

	/**
	 * 邮箱
	 */
	@ApiModelProperty(value = "用户邮箱")
	private String email;

	/**
	 * 昵称
	 */
	@ApiModelProperty(value = "昵称")
	private String nickname;

	/**
	 * 描述
	 */
	@ApiModelProperty(value = "描述")
	private String description;

	/**
	 * 1: 系统用户  2 园区方注册  3企业注册  4 sso对接  5需求方注册
	 */
	@ApiModelProperty(value = "1: 系统用户  2 园区方注册  3企业注册  4 sso对接  5需求方注册")
	private Integer userFrom;

//	/**
//	 * 机构认证id
//	 */
//	@ApiModelProperty(value="机构认证id")
//	private Integer thirdAuthId;

}
