package com.lutao.cloud.admin.api.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.lutao.cloud.admin.api.entity.SysRole;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Email;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**

 * @date 2017/10/29
 */
@ApiModel(description = "用户的基础信息展示")
@Data
public class UserPageVo implements Serializable{

	private static final long serialVersionUID = 92186409325122943L;

	/**
	 * 主键ID
	 */
	@ApiModelProperty("主键ID")
	@TableId(value = "user_id", type = IdType.AUTO)
	private Integer userId;

	/**
	 * 用户名
	 */
	@ApiModelProperty("用户名")
	private String username;


	/**
	 * 随机盐
	 */
	@ApiModelProperty("随机盐")
	@JsonIgnore
	private String salt;

	/**
	 * 创建时间
	 */
	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	/**
	 * 修改时间
	 */
	@ApiModelProperty("修改时间")
	private LocalDateTime updateTime;

	/**
	 * 0-正常，1-删除
	 */
	@ApiModelProperty("0-正常，1-删除")
	@TableLogic
	private String delFlag;

	/**
	 * 锁定标记
	 */
	@ApiModelProperty("锁定标记")
	private String lockFlag;

	/**
	 * 手机号
	 */
	@ApiModelProperty("手机号")
	private String phone;

	/**
	 * 头像
	 */
	@ApiModelProperty("头像")
	private String avatar;

	/**
	 * 部门ID
	 */
	@ApiModelProperty("部门ID")
	private Integer deptId;

	/**
	 * 租户ID
	 */
	@ApiModelProperty("租户ID")
	private Integer tenantId;

	/**
	 * 微信openid
	 */
	@ApiModelProperty("微信openid")
	private String wxOpenid;

	/**
	 * 微信小程序openId
	 */
	@ApiModelProperty("微信小程序openId")
	private String miniOpenid;

	/**
	 * QQ openid
	 */
	@ApiModelProperty("QQ openid")
	private String qqOpenid;

	/**
	 * 码云唯一标识
	 */
	@ApiModelProperty("码云唯一标识")
	private String giteeLogin;

	/**
	 * 开源中国唯一标识
	 */
	@ApiModelProperty("开源中国唯一标识")
	private String oscId;

	/**
	 * 用户来源
	 */
	@ApiModelProperty("用户来源 1: 系统用户  2 园区方注册  3企业注册  4 sso对接  5需求方注册")
	private Integer userFrom;

	/**
	 * 公司
	 */
	@ApiModelProperty("公司id 0 无公司，需要补充公司  其他为公司id")
	private Integer companyId;

	/**
	 * 公司
	 *//*
	@ApiModelProperty("园区id 0 无园区，其他为园区id")
	private Integer parkId;*/
	/**
	 * 用户职位
	 */
	@ApiModelProperty(value="用户职位")
	private String position;
	/**
	 * 昵称/真实姓名
	 */
	@ApiModelProperty("真实姓名")
	private String nickname;

	/**
	 * 邮箱
	 */
	@ApiModelProperty("邮箱")
	@Email(message = "必须是邮箱格式")
	private String email;

}
