package com.lutao.cloud.consume.feign;

import com.lutao.cloud.collect.dto.DataAddDTO;
import com.lutao.cloud.common.core.constant.ServiceNameConstants;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.common.security.annotation.Inner;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;

/**
 * 远程消费者服务
 *
 * @author yx
 * @date 2023/07/24
 */
@FeignClient(contextId = "remoteConsumeService",value= ServiceNameConstants.CONSUME_SERVICE)
public interface RemoteConsumeService {

    /**
     * 通过id查询所需要数据
     *
     * @param dataAddDTO 数据添加dto
     * @return {@link MessageInfo}
     */
    @PostMapping("/consume/remote-consume/getListByIds" )
    @Inner(value = false)
    MessageInfo getListByIds(@Valid @RequestBody DataAddDTO dataAddDTO);

}
