package com.lutao.cloud.consume;

import com.lutao.cloud.common.feign.annotation.EnableCloudFeignClients;
import com.lutao.cloud.common.security.annotation.EnableCloudResourceServer;
import com.lutao.cloud.common.swagger.annotation.EnableCloudSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableCloudSwagger2
@EnableCloudFeignClients
@EnableCloudResourceServer
@EnableDiscoveryClient
@EnableTransactionManagement
@EnableScheduling
@SpringBootApplication
public class CloudConsumeBizApplication {

    public static void main(String[] args) {
        SpringApplication.run(CloudConsumeBizApplication.class, args);
    }

}
