## 项目简介
### 网关简介:
~~~
● 请求接入：作为所有 API 接口服务请求的接入点，管理所有的接入请求；
● 业务聚合：作为所有后端业务服务的聚合点，所有的业务服务都可以在这里被调用；
● 中介策略：实现安全、验证、路由、过滤、流控，缓存等策略，进行一些必要的中介处理；
● 统一管理：提供配置管理工具，对所有 API 服务的调用生命周期和相应的中介策略进行统一管理。
~~~

## 代码结构说明
~~~
└─src
    └─main
        ├─java
        │  └─com
        │      └─lutao
        │          └─cloud
        │              └─gateway
        │                  ├─config   配置
        │                  ├─filter   过滤器
        │                  └─handler  处理器
        └─resources
            └─META-INF
                └─services

~~~
## 构建指南
项目构建命令：
~~~
mvn clean package install 
~~~

## 部署指南
~~~
Docker运行文件DockerFile在 cloud-gateway 根目录下
~~~


## 运行指南
项目运行命令
~~~
docker run cloud-gateway
或
docker-compose up -d cloud-gateway
~~~

## 注意事项
~~~
项目运行顺序 
cloud-job
cloud-upms
cloud-auth
cloud-message
cloud-news
cloud-storage
cloud-demand
cloud-doc
cloud-effect
cloud-knowledge
cloud-pilot
cloud-publicser
cloud-spread
~~~
