package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 安全风险评估参数
 *
 * @author yx
 * @date 2023/08/18
 */
@ApiModel(value = "安全风险评估参数")
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SecurityRiskAssessmentParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = 7131311930810703067L;

    @ApiModelProperty(value = "1.高风险，2.中高风险，3.中风险，4.低风险,5.暂未评估")
    private Integer riskLevel;

    @ApiModelProperty(value = "评估对象类型 1深评 2自评 ")
    private Integer assessmentObjectType;



}
