package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 专业设备分类
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "专业设备分类")
@Data
@Accessors(chain = true)
public class EquipmentTypeVO implements Serializable {
    private static final long serialVersionUID = -7121685259460290762L;

    @ApiModelProperty(value = "设备类型")
    private String equipType;

    @ApiModelProperty(value = "设备")
    private String equipName;

    @ApiModelProperty(value = "检测类型")
    private String inspectionType;

    @ApiModelProperty(value = "所属平台")
    private String platformName;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "检测内容")
    private String inspectionDescription;

    @ApiModelProperty(value = "定检日期")
    private String periodicInspectionDate;

    @ApiModelProperty(value = "年检日期")
    private String yearInspectionDate;

    @ApiModelProperty(value = "下次年检时间")
    private LocalDate nextYearInspectionDate;

    @ApiModelProperty(value = "下次定检时间")
    private LocalDate nextPeriodicInspectionDate;


}
