package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 出海人员分类统计
 *
 * @author yx
 * @date 2023/07/25
 */
@ApiModel(value = "出海人员分类统计")
@Data
@Accessors(chain = true)
public class PersonGoSeaClassifyStatisticVO implements Serializable {
    private static final long serialVersionUID = 2626816181494516824L;

    @ApiModelProperty(value = "内部人员当日在平台数量")
    private Long insiderInPlatformTodayCount;

    @ApiModelProperty(value = "承包商人员当日在平台数量")
    private Long contractorInPlatformTodayCount;

    @ApiModelProperty(value = "其他人员当日在平台数量")
    private Long otherInPlatformTodayCount;

    @ApiModelProperty(value = "内部人员当日登平台数量")
    private Long insiderOnPlatformTodayCount;

    @ApiModelProperty(value = "承包商人员当日登平台数量")
    private Long contractorOnPlatformTodayCount;

    @ApiModelProperty(value = "其他人员当日登平台数量")
    private Long otherOnPlatformTodayCount;

    @ApiModelProperty(value = "内部人员当日离平台数量")
    private Long insiderLeaveYesterdayCount;

    @ApiModelProperty(value = "承包商人员当日离平台数量")
    private Long contractorLeaveYesterdayCount;

    @ApiModelProperty(value = "其他人员当日离平台数量")
    private Long otherLeaveYesterdayCount;




}
