package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "SecurityRiskAssessmentSummaryVO", description = "安全风险评估汇总VO")
public class SecurityRiskAssessmentSummaryVO implements Serializable {
    private static final long serialVersionUID = 8527349924551612832L;

    @ApiModelProperty(value="平台名称")
    private String platformName;

    @ApiModelProperty(value="油气田")
    private String oilGasName;

    @ApiModelProperty(value="作业公司")
    private String operatingCompany;

    @ApiModelProperty(value="平台编码")
    private String platformCode;

    @ApiModelProperty(value="评估年份")
    private String evaluationYear;

    @ApiModelProperty(value="评估对象类型 1.固定平台，2.钻井平台，3.浮式生产储油装置")
    private String evaluationObjectType;

    @ApiModelProperty(value="评估编码")
    private String evaluationCode;

    @ApiModelProperty(value="总扣分数")
    private String totalDeduction;

    @ApiModelProperty(value = "评价类型，1.深评，2.自评")
    private String evaluationType;

    @ApiModelProperty(value="得分")
    private String score;

    @ApiModelProperty(value="风险等级")
    private String riskRank;

    @ApiModelProperty(value="整治要求：001高风险平台-全面停产整改\\r\\n002较高风险平台-局部停产整改\\r\\n003中风险平台-限期整改\\r\\n004低风险平台-自行制定计划，落实整改")
    private String remediationRequirements;

    @ApiModelProperty(value="平台类型")
    private String platformType;

    @ApiModelProperty(value="应用id")
    private String appId;

    @ApiModelProperty(value="riskLevel")
    private String riskLevel;
}
