package com.lutao.cloud.oil.pojo.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.lutao.cloud.oil.pojo.entity.TyphoonPointInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
@ApiModel(value = "台风信息VO")
public class TyphoonInfoVO implements Serializable {
    private static final long serialVersionUID = -2057556232895624342L;

    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 中文名称
     */
    @ApiModelProperty(value = "中文名称")
    private String cnName;

    /**
     * 英文名称
     */
    @ApiModelProperty(value = "英文名称")
    private String enName;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    /**
     * 所属年度
     */
    @ApiModelProperty(value = "所属年度")
    private String year;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "台风点位信息list")
    List<TyphoonPointInfo> typhoonPointInfoList;

}
