package com.lutao.cloud.oil.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.MinisteriaSupervisionDetailParam;
import com.lutao.cloud.oil.pojo.vo.MinisteriaSupervisionDetailVO;
import com.lutao.cloud.oil.pojo.vo.ProblemRectifyProportionVO;
import com.lutao.entity.MinisteriaSupervisionDetail;

public interface MinisteriaSupervisionDetailService extends IService<MinisteriaSupervisionDetail> {
    /**
     * 部级督导详情分页
     *
     * @param param 参数
     * @return {@link MessageInfo}<{@link IPage}<{@link MinisteriaSupervisionDetailVO}>>
     */
    MessageInfo<IPage<MinisteriaSupervisionDetailVO>> getMinisteriaSupervisionDetailPage(Page page, MinisteriaSupervisionDetailParam param);

    /**
     * 部级督导详情隐患整改完成图
     *
     * @param param 参数
     * @return {@link MessageInfo}<{@link ProblemRectifyProportionVO}>
     */
    MessageInfo<ProblemRectifyProportionVO> getMinisteriaSupervisionDetailChart(BaseParam param);
}
