package com.lutao.cloud.oil;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("typhoon_info")
@ApiModel(value = "台风基础信息")
public class TyphoonInfo implements Serializable {

    private static final long serialVersionUID = 9110453448258448564L;

    @TableId
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 中文名称
     */
    @TableField("cn_name")
    @ApiModelProperty(value = "中文名称")
    private String cnName;

    /**
     * 英文名称
     */
    @TableField("en_name")
    @ApiModelProperty(value = "英文名称")
    private String enName;

    /**
     * 开始时间
     */
    @TableField("begin_time")
    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    /**
     * 结束时间
     */
    @TableField("end_time")
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    /**
     * 所属年度
     */
    @TableField("year")
    @ApiModelProperty(value = "所属年度")
    private String year;

    /**
     * 编码
     */
    @TableField("code")
    @ApiModelProperty(value = "编码")
    private String code;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;
}