package com.lutao.cloud.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.admin.api.dto.SysTenantDTO;
import com.lutao.cloud.admin.api.entity.SysTenant;
import com.lutao.cloud.admin.api.vo.TenantVO;
import com.lutao.cloud.common.core.util.MessageInfo;

import java.util.List;

/**
 * 租户管理
 *

 * @date 2019-05-15 15:55:41
 */
public interface SysTenantService extends IService<SysTenant>{

	/**
	 * 获取正常的租户
	 * @return
	 */
	List<SysTenant> getNormalTenant();

	/**
	 * 保存租户
	 * @param sysTenantDTO
	 * @return
	 */
	Boolean saveTenant(SysTenantDTO sysTenantDTO);

	/**
	 * 分页查询租户信息
	 * @param page
	 * @param query
	 * @return
	 */
	MessageInfo<IPage<TenantVO>> getTenantVOPage(Page page, TenantVO query);
}
