package com.lutao.cloud.oil;


import cn.hutool.json.JSONUtil;
import com.lutao.cloud.oil.pojo.entity.TagOnlineRate;
import com.lutao.cloud.oil.service.CollectLogService;
import com.lutao.cloud.oil.service.PlatformInfoService;
import com.lutao.cloud.oil.service.TagOnlineRateService;
import com.lutao.entity.*;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.BoundHashOperations;
import org.springframework.data.redis.core.RedisTemplate;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.format.DateTimeParseException;
import java.util.*;

@SpringBootTest
public class Test {

    @Resource
    private RedisTemplate redisTemplate;

    @Resource
    private PlatformInfoService platformInfoService;

    @Resource
    private TagOnlineRateService tagOnlineRateService;

    @Resource
    private CollectLogService collectLogService;



    @org.junit.jupiter.api.Test
    public void test() {
        String json = "[{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:04\",\"equipCode\":\"370500922006H0021\",\"equipId\":\"4c64a10b95e045478e09054b74000d9b\",\"equipName\":\"2101430006\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_CACB30A_3\",\"platformId\":\"7770e87623be4e07a3580ce84d1f46cb\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922006H0021HQ001\",\"tagId\":\"2646e0709ab5418eb26f1229eb585ffd\",\"tagName\":\"平台工艺区\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:04\",\"equipCode\":\"370500922006H0022\",\"equipId\":\"eaf804d3d3bf4aeca7feb6adac716ff8\",\"equipName\":\"2101430008\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_CACB30A_3\",\"platformId\":\"7770e87623be4e07a3580ce84d1f46cb\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922006H0022HQ001\",\"tagId\":\"84ee3ea6e0654494ba6f0fcc27cc3403\",\"tagName\":\"CBG7来油独立桩处\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:04\",\"equipCode\":\"370500922006H0020\",\"equipId\":\"2b92a86c7ce6456da38680ea187cac1d\",\"equipName\":\"10103290\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_CACB30A_3\",\"platformId\":\"7770e87623be4e07a3580ce84d1f46cb\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922006H0020HQ001\",\"tagId\":\"e2a1455965474b75909310f64d178acd\",\"tagName\":\"一层通讯室\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:07\",\"equipCode\":\"370500922001H0076\",\"equipId\":\"53513a3dd21c4088a30de6a679e957a8\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:46\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0076HQ001\",\"tagId\":\"0eb02307230e41d0848f8caf28b148fb\",\"tagName\":\"储罐平台火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:53:05\",\"equipCode\":\"370500922001H0077\",\"equipId\":\"d82d872cfae04f05b1323916a64593c4\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:50:42\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0077HQ001\",\"tagId\":\"790c674e486e41d89cb0bf7106f990d3\",\"tagName\":\"生活一层火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0085\",\"equipId\":\"14958a91cdb74a4eb32212394911f85a\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0085HQ001\",\"tagId\":\"881be3f7396f4d8687b7430e154dc30f\",\"tagName\":\"动力平台火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0080\",\"equipId\":\"57779cdf1f17465b9c1083026e1dbd32\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0080HQ001\",\"tagId\":\"9b8cf364dde74f619bf53d7e4376c825\",\"tagName\":\"生活三层火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0081\",\"equipId\":\"8e675a2544bb4f468e1dc682ae59670b\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0081HQ001\",\"tagId\":\"10ef8239f8aa47778ddcadce8d7f42c8\",\"tagName\":\"注水平台火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0078\",\"equipId\":\"ec4f7fddda884f7596568ca6c185274f\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0078HQ001\",\"tagId\":\"1212e078120d450ab97be0aaec284f9d\",\"tagName\":\"生活一层室外火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0084\",\"equipId\":\"f979cff7eeb544b29514c567edfa31d1\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0084HQ001\",\"tagId\":\"3f9cb3ac53a447d99eda738887abf40c\",\"tagName\":\"生产三层火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0083\",\"equipId\":\"5b10b3466ec04f2fb6772aeb2b622669\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0083HQ001\",\"tagId\":\"727388669e2745cdb02dbabf471b025c\",\"tagName\":\"生产二层火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0079\",\"equipId\":\"2fbb22e10d0041b4bf12ff1431d2dc13\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0079HQ001\",\"tagId\":\"9945e23e936d43c99c52ed55b95b23b2\",\"tagName\":\"生活二层火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922001H0082\",\"equipId\":\"4b23b124ab4d4803859277222724de75\",\"equipName\":\"FIRE-7008623\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_ZX2H_0\",\"platformId\":\"b78625bc04da4f8e8d6ef702e676429a\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922001H0082HQ001\",\"tagId\":\"e6e588c426b445cdbc5a61bc86258682\",\"tagName\":\"生产一层火气系统报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:07\",\"equipCode\":\"370500922022H0001\",\"equipId\":\"5068d08c35914a628275cbfdba580a67\",\"equipName\":\"BIA-001\",\"lastUpdateTime\":\"2024-04-27 23:54:43\",\"platformCode\":\"ZSH-ZH_ZX1H_0\",\"platformId\":\"c90d99e3bb5c43df9dde67f5c38621f9\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922022H0001HQ001\",\"tagId\":\"705fb9788d824c50b8b6f50d87bc5924\",\"tagName\":\"中心一号平台公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0038\",\"equipId\":\"ad2c5f44a4ed40eebdde0be55d0dbe9a\",\"equipName\":\"FRD-1205\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0089\",\"tagCode\":\"370500922012H0038HQ001\",\"tagId\":\"746c8f5a54f64afa809da61a53dc4e19\",\"tagName\":\"分离器缓冲罐旁火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0028\",\"equipId\":\"f00ec24bb1f04a0bbce88921140ee992\",\"equipName\":\"FD-1101\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0423\",\"tagCode\":\"370500922012H0028HQ001\",\"tagId\":\"7964f11c11844f818c6ac23fa58512ea\",\"tagName\":\"开排甲板东边楼梯口火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0037\",\"equipId\":\"b3b5cc19450d46e5b22bec0d422b7456\",\"equipName\":\"FRD-1204\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0387\",\"tagCode\":\"370500922012H0037HQ001\",\"tagId\":\"ba55429b6d654e309260f5d644c14d54\",\"tagName\":\"三相分离器旁火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0039\",\"equipId\":\"730bd0d8765b494cb94dde75274045f0\",\"equipName\":\"FRD-1206\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0589\",\"tagCode\":\"370500922012H0039HQ001\",\"tagId\":\"000cfe7c8eab400eb569b80e5c47b29e\",\"tagName\":\"调水泵区火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0040\",\"equipId\":\"8eb2c751c41f459eb840f5bcc4ae79bb\",\"equipName\":\"FRD-1207\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0601\",\"tagCode\":\"370500922012H0040HQ001\",\"tagId\":\"2f5a047da6b74bd8a25c017d7fe1a340\",\"tagName\":\"外输泵区火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0032\",\"equipId\":\"a5a2a581eaca45c598997442c5069893\",\"equipName\":\"FRD-1105\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0485\",\"tagCode\":\"370500922012H0032HQ001\",\"tagId\":\"32c90d3d4f2e468dac066b9ed67853c7\",\"tagName\":\"闭排罐A旁火灾探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0043\",\"equipId\":\"c25f01611a344cc8a3fd66c957ff6610\",\"equipName\":\"FRD-1402\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0283\",\"tagCode\":\"370500922012H0043HQ001\",\"tagId\":\"6529b8db0dc94ad89ae6d8bade1f485a\",\"tagName\":\"生产平台顶层北边火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0033\",\"equipId\":\"54869441e2104f17903c38f82742a8c4\",\"equipName\":\"FRD-1106\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0283\",\"tagCode\":\"370500922012H0033HQ001\",\"tagId\":\"9944a4a83b3248ca88f7e246987274b4\",\"tagName\":\"闭排罐B旁火灾探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0042\",\"equipId\":\"a8178a20db58476fa1e192f7169861bd\",\"equipName\":\"FRD-1401\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922012H0042HQ001\",\"tagId\":\"a3d9e27b95c94177877a253f9e5be955\",\"tagName\":\"气浮装置旁火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0029\",\"equipId\":\"0c6e27bf3a134c65a3aa392c1ca53bce\",\"equipName\":\"FRD-1102\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0485\",\"tagCode\":\"370500922012H0029HQ001\",\"tagId\":\"bf0194aaf8e64f98911ce1154432d298\",\"tagName\":\"开排甲板西边楼梯口火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0044\",\"equipId\":\"bf997c1b9b8b47d69830c822183185c4\",\"equipName\":\"TED-1301\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922012H0044HQ001\",\"tagId\":\"d1e2d33bfdc94c4e9b5a0a385ad8d9f0\",\"tagName\":\"空压机房内感温探头\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0034\",\"equipId\":\"72dbd14328a2449fae5a3fbf511cebf2\",\"equipName\":\"FRD-1201\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0101\",\"tagCode\":\"370500922012H0034HQ001\",\"tagId\":\"d413270be2854e77be67319533a2cf03\",\"tagName\":\"6#注水泵旁火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0030\",\"equipId\":\"a5ca9dae58324cd89a8511e3ab0fec3e\",\"equipName\":\"FRD-1103\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0485\",\"tagCode\":\"370500922012H0030HQ001\",\"tagId\":\"122b9b7cf8f74d968fe8dee142427de1\",\"tagName\":\"开排甲板润滑油箱旁火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0036\",\"equipId\":\"5f98040b255d4518be3aa67c44ba3e9e\",\"equipName\":\"FRD-1203\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0589\",\"tagCode\":\"370500922012H0036HQ001\",\"tagId\":\"9217b62305af4c84b3e0c73d044f78d5\",\"tagName\":\"外输换热器旁火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0031\",\"equipId\":\"3a2f42fc32644acebad97413a6a0f1ee\",\"equipName\":\"FRD-1104\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0485\",\"tagCode\":\"370500922012H0031HQ001\",\"tagId\":\"7a0b8d5dd8044e089ebda06e56442fe8\",\"tagName\":\"开排甲板闭排罐之间火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0035\",\"equipId\":\"d101f9c7d95547388512690029d34951\",\"equipName\":\"FRD-1202\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"-1.9485\",\"tagCode\":\"370500922012H0035HQ001\",\"tagId\":\"231d49e5f913413a851ef5b9049ea8e2\",\"tagName\":\"3#注水泵旁火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0041\",\"equipId\":\"df5203a5d313497c9eff468906e7e6a7\",\"equipName\":\"FRD-1301\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0127\",\"tagCode\":\"370500922012H0041HQ001\",\"tagId\":\"f916000869984324bd09543cf9915a85\",\"tagName\":\"天然气撬旁火焰探测器\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922012H0045\",\"equipId\":\"bf7665c6b2cd434cb5ac3b57ede8397e\",\"equipName\":\"SKD-1301\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_ZX3H_0\",\"platformId\":\"eddabe1b57824061a47f20a976a0b97c\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922012H0045HQ001\",\"tagId\":\"7a8d356e1b1747d1a615303d9e2b507e\",\"tagName\":\"空压机房内感烟探头\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922003H0030\",\"equipId\":\"80d5b4a9285c486babc673549844f15b\",\"equipName\":\"FIRE-7008612\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB1G_3\",\"platformId\":\"f5431d5c186b4af9854c98ba9847a959\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922003H0030HQ001\",\"tagId\":\"4f0dfd2567214c1fb6ebb0345d7b7623\",\"tagName\":\"井口或工艺火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922003H0031\",\"equipId\":\"1ff1b57d339c4eac833fdcac748b7c68\",\"equipName\":\"FIRE-7008612\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB1G_3\",\"platformId\":\"f5431d5c186b4af9854c98ba9847a959\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922003H0031HQ001\",\"tagId\":\"e37fea9dec65417395d3cc48d237e7d7\",\"tagName\":\"配电楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922003H0032\",\"equipId\":\"d354dd08f66e4755b775f514cbf6bce7\",\"equipName\":\"FIRE-7008612\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB1G_3\",\"platformId\":\"f5431d5c186b4af9854c98ba9847a959\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922003H0032HQ001\",\"tagId\":\"9d7e4f2b0b02442aa6e0ea117dc44390\",\"tagName\":\"生活楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:53:03\",\"equipCode\":\"370500922003H0029\",\"equipId\":\"270713ff35584169903138b396718ebe\",\"equipName\":\"FIRE-7008612\",\"lastUpdateTime\":\"2024-04-27 23:50:42\",\"platformCode\":\"ZSH-ZH_CACB1G_3\",\"platformId\":\"f5431d5c186b4af9854c98ba9847a959\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922003H0029HQ001\",\"tagId\":\"848402c31d52472d87469934a36078b8\",\"tagName\":\"公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922020H0007\",\"equipId\":\"4d44ded3522d4bc29c8b62039ce83a41\",\"equipName\":\"BFA-4C2020134\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_CACB1B_3\",\"platformId\":\"1da7e2f2e458430b969bd1bbe0468946\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922020H0007HQ001\",\"tagId\":\"6958d1c98d81451884f0277ce9cc96ff\",\"tagName\":\"平台公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:07\",\"equipCode\":\"370500922023H0001\",\"equipId\":\"508702b6ae6d4e5e9ea92e6c716cc754\",\"equipName\":\"BIA-002\",\"lastUpdateTime\":\"2024-04-27 23:54:43\",\"platformCode\":\"ZSH-ZH_CACB11N_3\",\"platformId\":\"350d0b26e77f4fb79e87342c59e50d9d\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922023H0001HQ001\",\"tagId\":\"59edb5241d954022b292262332851e39\",\"tagName\":\"CB11N平台公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922015H0008\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27a8\",\"equipName\":\"BIA-3C04D4005\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0008HQ001\",\"tagId\":\"1903cfc2f2da4eb3a165051919bdde39\",\"tagName\":\"生活楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922015H0007\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27a7\",\"equipName\":\"BIA-3C04D4004\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0007HQ001\",\"tagId\":\"1903cfc2f5da4eb3a3650519qgadde01\",\"tagName\":\"配电楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:07\",\"equipCode\":\"370500922015H0003\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27b3\",\"equipName\":\"UR-4C004D4301\",\"lastUpdateTime\":\"2024-04-27 23:54:45\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0003HQ001\",\"tagId\":\"1903cfc2f2da4eb3a3650119qgadde01\",\"tagName\":\"CB4D工艺区火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922015H0006\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27a6\",\"equipName\":\"BIA-3C04D4003\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0006HQ001\",\"tagId\":\"1903cfc2f2da4eb3a3650559qgadde01\",\"tagName\":\"井口火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:07\",\"equipCode\":\"370500922015H0001\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27a1\",\"equipName\":\"UR-4C004D4101\",\"lastUpdateTime\":\"2024-04-27 23:54:43\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0001HQ001\",\"tagId\":\"1903cfc2f2da4eb3a3650511qgadde01\",\"tagName\":\"CB4DA井口平台火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:07\",\"equipCode\":\"370500922015H0002\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27a2\",\"equipName\":\"UR-4C004D4201\",\"lastUpdateTime\":\"2024-04-27 23:54:45\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0002HQ001\",\"tagId\":\"1903cfc2f2da4eb3a3650519qgadqe01\",\"tagName\":\"CB4DB井口平台火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:02\",\"equipCode\":\"370500922015H0004\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27a4\",\"equipName\":\"UR-4C004D4501\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0004HQ001\",\"tagId\":\"1903cfc2f2da4ebqa3650519qgadde01\",\"tagName\":\"CB4D开排甲板火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922015H0005\",\"equipId\":\"f97f9dfc91564da9a25e574c23cc27a5\",\"equipName\":\"BIA-3C04D4001\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4D_3\",\"platformId\":\"3ffd742726bd4f85a56c3fdab7c20729\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922015H0005HQ001\",\"tagId\":\"1903cfc2f2daqeb3a3650519qgadde01\",\"tagName\":\"公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0046\",\"equipId\":\"0e8a0468a8044c66b59dfe6dedc2fa3c\",\"equipName\":\"AGW-3075\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0046HQ001\",\"tagId\":\"0298ad1a35904eb1b719bd398cb920ac\",\"tagName\":\"一层平台生产区柴油罐旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0043\",\"equipId\":\"857d8b5afeb84beb86d87eb251677849\",\"equipName\":\"AGW-3007\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0043HQ001\",\"tagId\":\"620b779138aa4aeeb2cb7284a513421e\",\"tagName\":\"CB251GB井口B-2旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0050\",\"equipId\":\"825e66762514457a83d010ce3df7760a\",\"equipName\":\"AGW-3029\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0050HQ001\",\"tagId\":\"3224f436bedc4876af65e993a1be67f3\",\"tagName\":\"闭排罐旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:07\",\"equipCode\":\"370500922005H0056\",\"equipId\":\"b6d5d2bddfbd480b9c1d54fd7696b599\",\"equipName\":\"FIRE-7008675\",\"lastUpdateTime\":\"2024-04-27 23:51:46\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0056HQ001\",\"tagId\":\"4633d08bd96c430e94cf14471b911045\",\"tagName\":\"平台公共火灾报警火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0035\",\"equipId\":\"31ba7e57f54544ae8ad1dff6e5283a04\",\"equipName\":\"AGW-3015\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0035HQ001\",\"tagId\":\"66dfa52862d444458f1c4e105932e756\",\"tagName\":\"CB251GA井口A-3旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0059\",\"equipId\":\"3e6ad4ed0f3848e49630f9a2b4c2257f\",\"equipName\":\"FIRE-7008675\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0059HQ001\",\"tagId\":\"8a65c4d553294304b9a3c89842484600\",\"tagName\":\"生活楼确认火灾报警火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0054\",\"equipId\":\"33bfe785ab2b49efa8859b9c81b778d2\",\"equipName\":\"HUO-3008201\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0610\",\"tagCode\":\"370500922005H0054HQ001\",\"tagId\":\"9726ce57554f44a9856391827c390ed4\",\"tagName\":\"工艺区火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0037\",\"equipId\":\"cc6c6f093cb74262916795b54b132c64\",\"equipName\":\"AGW-3005\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0037HQ001\",\"tagId\":\"0dfa2e8bcc09464eb5844ac1f13e34d8\",\"tagName\":\"CB251GA井口A-P1旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0051\",\"equipId\":\"6686971290284c50b4cfb5cc5b03116a\",\"equipName\":\"AGW-3017\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0051HQ001\",\"tagId\":\"11ae84ed612f4b1e99ed028c0ea26d9e\",\"tagName\":\"开排罐旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0039\",\"equipId\":\"0717f0adc45f45dbac65da5d17fe5835\",\"equipName\":\"AGW-3082\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0039HQ001\",\"tagId\":\"39def82f8ce94bc6b2056f2ca3105d74\",\"tagName\":\"CB251GA井口汇流排南火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0057\",\"equipId\":\"fef7ac6b79924212be225ac4fe2abae8\",\"equipName\":\"FIRE-7008675\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0057HQ001\",\"tagId\":\"6bee0beb8837461db74fdf8b77b960bf\",\"tagName\":\"井口或工艺确认火灾报警火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0052\",\"equipId\":\"551a7a0323c14e8cbd8c03449fe05e3f\",\"equipName\":\"HUO-3008205\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.2289\",\"tagCode\":\"370500922005H0052HQ001\",\"tagId\":\"90d50a2b60bf4ed48da790a6bb5e751e\",\"tagName\":\"A井口火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0041\",\"equipId\":\"632f9e3130ea4e36b73a77a340bae15e\",\"equipName\":\"AGW-3044\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0041HQ001\",\"tagId\":\"a893d510a0f6485e8363cd6bc96c3750\",\"tagName\":\"CB251GB井口B-P4旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0036\",\"equipId\":\"638a20a8c21b42639d6076d94cd22847\",\"equipName\":\"AGW-3033\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0036HQ001\",\"tagId\":\"024de09a12ed467cb46ebcdc83f3fda6\",\"tagName\":\"CB251GA井口A-1旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0034\",\"equipId\":\"db4dbf2039ec46d39b754cca000c602a\",\"equipName\":\"AGW-3022\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0034HQ001\",\"tagId\":\"04c5021b7d0d412ba56023ac96ef309e\",\"tagName\":\"CB251GA-4井旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0049\",\"equipId\":\"381a8987363f43309499539e14e6dff2\",\"equipName\":\"AGW-3060\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0049HQ001\",\"tagId\":\"0c06acde8f844ea1a43f491ad59ccb94\",\"tagName\":\"一层平台生产区打压柜旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0058\",\"equipId\":\"7fba08d891614671aeb9e0e0f9e4c9fa\",\"equipName\":\"FIRE-7008675\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0058HQ001\",\"tagId\":\"c5160a9ba7e64b2bb2cfc38786c4455a\",\"tagName\":\"配电楼确认火灾报警火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0038\",\"equipId\":\"5d65fb97e7774b649dd15647f82a4d71\",\"equipName\":\"AGW-3008\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0038HQ001\",\"tagId\":\"cdc8a6959b3046cfa4fbe387b2eef18b\",\"tagName\":\"CB251GA井口汇流排北火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0053\",\"equipId\":\"111a82f2db9e4279aa2bcc4e3ea76b3d\",\"equipName\":\"HUO-3008209\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0610\",\"tagCode\":\"370500922005H0053HQ001\",\"tagId\":\"d5baad7756954b85af432a24afaa3241\",\"tagName\":\"B井口火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0044\",\"equipId\":\"0293864f6c9e4a47a220512d38381c37\",\"equipName\":\"AGW-3013\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0044HQ001\",\"tagId\":\"e6ba4514fe184c899f0a2c25b82583df\",\"tagName\":\"CB251GB井口汇流排右火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0048\",\"equipId\":\"520f36c5fc7a4af18693f62bf003895f\",\"equipName\":\"AGW-3041\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0048HQ001\",\"tagId\":\"1d311ac820cb4b6abd664b637426dd9b\",\"tagName\":\"一层平台生产区计量装置火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0045\",\"equipId\":\"986d92f0af1541b397ded65505b0abf9\",\"equipName\":\"AGW-3025\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0045HQ001\",\"tagId\":\"eadbf525c495461fab33a5551ffe4047\",\"tagName\":\"CB251GB井口汇流排左#火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0055\",\"equipId\":\"b3a68935800941c39d6bd36f8be38e53\",\"equipName\":\"HUO-3008213\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.1068\",\"tagCode\":\"370500922005H0055HQ001\",\"tagId\":\"eb12eba79b1d4f4ab77215fafe124cef\",\"tagName\":\"开排甲板火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0047\",\"equipId\":\"441cf733651145a4a5e5fc7032603d6a\",\"equipName\":\"AGW-3012\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0047HQ001\",\"tagId\":\"eb9f7273d5364eb0832cc2fa38769460\",\"tagName\":\"一层平台生产区外输管线旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922005H0040\",\"equipId\":\"728c4fb20f81454f88fa32c412f266ac\",\"equipName\":\"AGW-3072\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0040HQ001\",\"tagId\":\"fe2fe7171cfa4d9f995741924fe064a7\",\"tagName\":\"CB251GB井口B-15旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:07\",\"equipCode\":\"370500922005H0042\",\"equipId\":\"354091858d9742c6abf7131ffb6614a0\",\"equipName\":\"AGW-3036\",\"lastUpdateTime\":\"2024-04-27 23:51:46\",\"platformCode\":\"ZSH-DY-CXYTH_CB251G\",\"platformId\":\"595a3740d4454fa5bf4e0cdc92790fcd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922005H0042HQ001\",\"tagId\":\"76ac871e250c45d2a7b306e98aaba51b\",\"tagName\":\"CB251GB井口B-4旁火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922016H0034\",\"equipId\":\"f86582f07109402eb7a664e62afc1a00\",\"equipName\":\"BFA-3C04E4005\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4E_3\",\"platformId\":\"09922a42ef0d477392e293ff9dcc7811\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922016H0034HQ001\",\"tagId\":\"275a0683457446bdad600787f9067a81\",\"tagName\":\"生活楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922016H0032\",\"equipId\":\"62a794252aa047858836184c01112668\",\"equipName\":\"BFA-3C04E4003\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4E_3\",\"platformId\":\"09922a42ef0d477392e293ff9dcc7811\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922016H0032HQ001\",\"tagId\":\"ed93fcacd0c044f4b95b25be73cb761e\",\"tagName\":\"井口火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922016H0031\",\"equipId\":\"9842234041c742b789cdd748b12c6b26\",\"equipName\":\"BFA-3C04E4001\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4E_3\",\"platformId\":\"09922a42ef0d477392e293ff9dcc7811\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922016H0031HQ001\",\"tagId\":\"ec942a9d5c0e4f6e83c3ed764124c75e\",\"tagName\":\"公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922016H0033\",\"equipId\":\"86307e7785fe49e88732c712575a6399\",\"equipName\":\"BFA-3C04E4004\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB4E_3\",\"platformId\":\"09922a42ef0d477392e293ff9dcc7811\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922016H0033HQ001\",\"tagId\":\"5fb3a7644f844422aa0539eb63ea2d1e\",\"tagName\":\"配电楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922002H0032\",\"equipId\":\"6e2dcb0c2b8d4bf1bf5f4cf9bb51539d\",\"equipName\":\"FIRE-7008606\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB25G_3\",\"platformId\":\"0f4b26c7ee7448a69a03cf58f78383f9\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922002H0032HQ001\",\"tagId\":\"3d10cff2db3e4c92880d26f50287a993\",\"tagName\":\"生活楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:53:05\",\"equipCode\":\"370500922002H0031\",\"equipId\":\"3816cc080dac4b1c8e444ece950bfab1\",\"equipName\":\"FIRE-7008606\",\"lastUpdateTime\":\"2024-04-27 23:50:42\",\"platformCode\":\"ZSH-ZH_CACB25G_3\",\"platformId\":\"0f4b26c7ee7448a69a03cf58f78383f9\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922002H0031HQ001\",\"tagId\":\"46f17f550f4343cb95b5ad1a589fb20a\",\"tagName\":\"配电楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922002H0029\",\"equipId\":\"a2db525812b74ee3a94ad367d7506951\",\"equipName\":\"FIRE-7008606\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB25G_3\",\"platformId\":\"0f4b26c7ee7448a69a03cf58f78383f9\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922002H0029HQ001\",\"tagId\":\"8e2e6f79e7ff4273a251cbd9781ee135\",\"tagName\":\"公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922002H0030\",\"equipId\":\"9b523a6a74454504b1e63ce33dcc927f\",\"equipName\":\"FIRE-7008606\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB25G_3\",\"platformId\":\"0f4b26c7ee7448a69a03cf58f78383f9\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922002H0030HQ001\",\"tagId\":\"ab4e70351b454f2d877eaa1c280d7e76\",\"tagName\":\"井口或工艺火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:01\",\"equipCode\":\"370500922009H0018\",\"equipId\":\"6f7eaab50c054cf9ad993e0ca409f5b5\",\"equipName\":\"/\",\"lastUpdateTime\":\"2024-04-27 23:54:34\",\"platformCode\":\"ZSH-ZH_XBKD481_3\",\"platformId\":\"10322557a9a546b78776cb7c1c7d7bbd\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922009H0018HQ001\",\"tagId\":\"d01e6fd4f5b54f4bbb552a6f46e19a59\",\"tagName\":\"平台公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922018H0032\",\"equipId\":\"74b16d2f0f96413b8235a35ae186b4da\",\"equipName\":\"BFA-3C06G4004\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB6G_3\",\"platformId\":\"69791bce500e45c081e4968f77167a89\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922018H0032HQ001\",\"tagId\":\"2fb4c4973a684f82b11d849bdf9f325d\",\"tagName\":\"生活楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922018H0031\",\"equipId\":\"3cca9408d97242759aedc764c8fdc790\",\"equipName\":\"BFA-3C06G4003\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB6G_3\",\"platformId\":\"69791bce500e45c081e4968f77167a89\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922018H0031HQ001\",\"tagId\":\"022fe3e5f8754e6d919936eb24561cbd\",\"tagName\":\"井口火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922018H0030\",\"equipId\":\"df1a09e6f0eb43c7b41b287f4083b7ae\",\"equipName\":\"ARKA-7867\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB6G_3\",\"platformId\":\"69791bce500e45c081e4968f77167a89\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922018H0030HQ001\",\"tagId\":\"0458a8daef7548328c911ebd36efd202\",\"tagName\":\"公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:01\",\"equipCode\":\"370500922018H0033\",\"equipId\":\"4db871c820814766b24a2996a91e9096\",\"equipName\":\"BFA-3C06G4005\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB6G_3\",\"platformId\":\"69791bce500e45c081e4968f77167a89\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922018H0033HQ001\",\"tagId\":\"429f120bc4424b09aeb67a215be3d8a3\",\"tagName\":\"配电楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922014H0040\",\"equipId\":\"3510c55e384d4a29a8b00cc930336851\",\"equipName\":\"BFA-3C22F4005\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_CACB22F_3\",\"platformId\":\"7d08efed687649598e1ca4455f8045fc\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922014H0040HQ001\",\"tagId\":\"50e5a2f285394f45a4c5f4644e7b46a0\",\"tagName\":\"生活楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:07\",\"equipCode\":\"370500922014H0037\",\"equipId\":\"9d5edef9c9904922a34e83fd37ca7686\",\"equipName\":\"BFA-3C22F4001\",\"lastUpdateTime\":\"2024-04-27 23:54:43\",\"platformCode\":\"ZSH-ZH_CACB22F_3\",\"platformId\":\"7d08efed687649598e1ca4455f8045fc\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922014H0037HQ001\",\"tagId\":\"c610c7a3445443f0827e7b46896dcd76\",\"tagName\":\"公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:02\",\"equipCode\":\"370500922014H0039\",\"equipId\":\"3ace6c9d9db7423cba8b518e37c2b171\",\"equipName\":\"BFA-3C22F4004\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-ZH_CACB22F_3\",\"platformId\":\"7d08efed687649598e1ca4455f8045fc\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922014H0039HQ001\",\"tagId\":\"4fa95118193d4f1bac1ec29c1eeca9e3\",\"tagName\":\"配电楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922014H0038\",\"equipId\":\"ea4637ce35da49a18be0187749ed6e86\",\"equipName\":\"BFA-3C22F4003\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-ZH_CACB22F_3\",\"platformId\":\"7d08efed687649598e1ca4455f8045fc\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922014H0038HQ001\",\"tagId\":\"23b83f45c6ba4b9f86822d2373fc7ff4\",\"tagName\":\"井口火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:58:03\",\"equipCode\":\"370500922007H0019\",\"equipId\":\"22c67adc03f64c5da942d7b914d8d47d\",\"equipName\":\"/\",\"lastUpdateTime\":\"2024-04-27 23:55:36\",\"platformCode\":\"ZSH-ZH_CACB32_3\",\"platformId\":\"870c8b8a315442abaa5097fa8a731a4e\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922007H0019HQ001\",\"tagId\":\"cc728edd9d3b4c8c9e9614a92da0b206\",\"tagName\":\"CB32A配电区\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-10 15:34:04\",\"equipCode\":\"370500922007H0018\",\"equipId\":\"676fcf68d5a14aa7a7fdd566dcba6de1\",\"equipName\":\"/\",\"lastUpdateTime\":\"2024-04-10 15:32:14\",\"platformCode\":\"ZSH-ZH_CACB32_3\",\"platformId\":\"870c8b8a315442abaa5097fa8a731a4e\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922007H0018HQ001\",\"tagId\":\"1fea91b16ad3435b9c6f261ceec1e609\",\"tagName\":\"CB32A井口或工艺平台\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:58:03\",\"equipCode\":\"370500922007H0020\",\"equipId\":\"2527083af76c45af9303f63fa32fc400\",\"equipName\":\"/\",\"lastUpdateTime\":\"2024-04-27 23:55:36\",\"platformCode\":\"ZSH-ZH_CACB32_3\",\"platformId\":\"870c8b8a315442abaa5097fa8a731a4e\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922007H0020HQ001\",\"tagId\":\"e29682f2376b4a068e8641c0717fdf50\",\"tagName\":\"CB32A生活楼区\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:58:03\",\"equipCode\":\"370500922007H0017\",\"equipId\":\"871f9ad820b742c5b9240fe75352aff1\",\"equipName\":\"/\",\"lastUpdateTime\":\"2024-04-27 23:55:36\",\"platformCode\":\"ZSH-ZH_CACB32_3\",\"platformId\":\"870c8b8a315442abaa5097fa8a731a4e\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922007H0017HQ001\",\"tagId\":\"53a4acc0e50440a88a3f278553e302db\",\"tagName\":\"一层通讯室\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:02\",\"equipCode\":\"370500922019H0031\",\"equipId\":\"4e41edc81bfc4f97abe9cd0526bbc425\",\"equipName\":\"BFA-4C2014005\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-DY-CXYTH_SH201\",\"platformId\":\"d8998159af5b40efbbb140fef0a1a04d\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922019H0031HQ001\",\"tagId\":\"96cc5b925fd14a8a888d5967c6b8045b\",\"tagName\":\"生活楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:57:07\",\"equipCode\":\"370500922019H0027\",\"equipId\":\"0f2450a306994156a4f2862c955afb90\",\"equipName\":\"BFA-4C2014001\",\"lastUpdateTime\":\"2024-04-27 23:54:45\",\"platformCode\":\"ZSH-DY-CXYTH_SH201\",\"platformId\":\"d8998159af5b40efbbb140fef0a1a04d\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922019H0027HQ001\",\"tagId\":\"4d3ff6a0829a41f5beb73de2522ad480\",\"tagName\":\"公共火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922019H0029\",\"equipId\":\"92e2b48c2cf6466f93015b5c6d61e44b\",\"equipName\":\"BFA-4C2014003\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-DY-CXYTH_SH201\",\"platformId\":\"d8998159af5b40efbbb140fef0a1a04d\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922019H0029HQ001\",\"tagId\":\"74922fecd992428bafe2c003c3d3bef2\",\"tagName\":\"井口火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922019H0028\",\"equipId\":\"805e7bea0f5445b79e8faee527e61321\",\"equipName\":\"BFA-4C2014002\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-DY-CXYTH_SH201\",\"platformId\":\"d8998159af5b40efbbb140fef0a1a04d\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922019H0028HQ001\",\"tagId\":\"1640b218009348f1941bfec5d29561d0\",\"tagName\":\"火灾系统故障报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:56:05\",\"equipCode\":\"370500922019H0030\",\"equipId\":\"78a50f58ac6349bab0f5ae54b5aa0314\",\"equipName\":\"BFA-4C2014004\",\"lastUpdateTime\":\"2024-04-27 23:53:41\",\"platformCode\":\"ZSH-DY-CXYTH_SH201\",\"platformId\":\"d8998159af5b40efbbb140fef0a1a04d\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922019H0030HQ001\",\"tagId\":\"4d25341808ab45638b6d4ae7df2f0a8b\",\"tagName\":\"配电楼火灾报警\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:00\",\"equipCode\":\"370500923001H0007\",\"equipId\":\"d426addd9c544a81a0b87c0567b97309\",\"equipName\":\"FD302\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-BJ-CDX_YTHPT\",\"platformId\":\"af471d489e3146f287e7a09393695c90\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500923001H0007HQ007\",\"tagId\":\"84ec96f63c03429aa93a1b50a3fd1900\",\"tagName\":\"DPC Production Deck火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:00\",\"equipCode\":\"370500923001H0006\",\"equipId\":\"28c9d53059ef4db6ab396a9f386f12ac\",\"equipName\":\"FD301\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-BJ-CDX_YTHPT\",\"platformId\":\"af471d489e3146f287e7a09393695c90\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500923001H0006HQ006\",\"tagId\":\"e65ae2a6bf8a482d81d62c653d00c15e\",\"tagName\":\"DPC Production Deck火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:00\",\"equipCode\":\"370500923001H0004\",\"equipId\":\"cbb573f8a91847c3b89a76a927d7fbd7\",\"equipName\":\"FD201\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-BJ-CDX_YTHPT\",\"platformId\":\"af471d489e3146f287e7a09393695c90\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500923001H0004HQ004\",\"tagId\":\"29ff2c8a8f5a42bbbbdb874e5a44c5bb\",\"tagName\":\"DPA Production Deck火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:00\",\"equipCode\":\"370500923001H0005\",\"equipId\":\"b5a110dc1a2b4591942e3e5d6b81683e\",\"equipName\":\"FD202\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-BJ-CDX_YTHPT\",\"platformId\":\"af471d489e3146f287e7a09393695c90\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500923001H0005HQ005\",\"tagId\":\"4b901b4edd0e4b0d8e842fceba74e1c9\",\"tagName\":\"DPB Production Deck火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:00\",\"equipCode\":\"370500923001H0001\",\"equipId\":\"b65297250c5542718ee758bab269d451\",\"equipName\":\"FD101\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-BJ-CDX_YTHPT\",\"platformId\":\"af471d489e3146f287e7a09393695c90\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500923001H0001HQ001\",\"tagId\":\"6a0c16f0819d46e6b667b71aaa590466\",\"tagName\":\"DPA Production Deck火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:00\",\"equipCode\":\"370500923001H0002\",\"equipId\":\"4af838bb428142108a0bbf44146c10f2\",\"equipName\":\"FD104\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-BJ-CDX_YTHPT\",\"platformId\":\"af471d489e3146f287e7a09393695c90\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500923001H0002HQ002\",\"tagId\":\"9925cb217eaf44669401cdd2e4ef6bcd\",\"tagName\":\"DPA Drilling Deck火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:55:00\",\"equipCode\":\"370500923001H0003\",\"equipId\":\"15fd9ae422d64a22aa280d36db93fe4d\",\"equipName\":\"FD105\",\"lastUpdateTime\":\"2024-04-27 23:52:37\",\"platformCode\":\"ZSH-BJ-CDX_YTHPT\",\"platformId\":\"af471d489e3146f287e7a09393695c90\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500923001H0003HQ003\",\"tagId\":\"ead8cf7adb5e4aab8a8dd9849ea9d4f8\",\"tagName\":\"DPA Drilling Deck火焰探测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922004H0036\",\"equipId\":\"bb6bc51c23a140e486cb38f4cc4fc15f\",\"equipName\":\"FIRE-7008604\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB20C_3\",\"platformId\":\"d3b06ffbb8df4d9ab3a6a2011a6c4372\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922004H0036HQ001\",\"tagId\":\"4f3c8be374a2493d970e53f55cd06c54\",\"tagName\":\"生活楼火灾报警火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922004H0034\",\"equipId\":\"f90ae3a076414d4b9ad2beb2e9bc0f51\",\"equipName\":\"FIRE-7008604\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB20C_3\",\"platformId\":\"d3b06ffbb8df4d9ab3a6a2011a6c4372\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922004H0034HQ001\",\"tagId\":\"4d6223a87dbe40e097aa51eb0da4c73d\",\"tagName\":\"井口或工艺确认火灾报警火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922004H0035\",\"equipId\":\"795329f20988417bb4146ae04c486409\",\"equipName\":\"FIRE-7008604\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB20C_3\",\"platformId\":\"d3b06ffbb8df4d9ab3a6a2011a6c4372\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922004H0035HQ001\",\"tagId\":\"a6ba81f39dda4d4a8982b0169b660121\",\"tagName\":\"配电楼火灾报警火气检测\"},{\"alarmState\":\"0\",\"collectTime\":\"2024-04-27 23:54:02\",\"equipCode\":\"370500922004H0033\",\"equipId\":\"9fb60cc1885641ce956970606a54e014\",\"equipName\":\"FIRE-7008604\",\"lastUpdateTime\":\"2024-04-27 23:51:38\",\"platformCode\":\"ZSH-ZH_CACB20C_3\",\"platformId\":\"d3b06ffbb8df4d9ab3a6a2011a6c4372\",\"rtValue\":\"0.0000\",\"tagCode\":\"370500922004H0033HQ001\",\"tagId\":\"1c5d9a90cfdf4fd6b410ac78c6744b6f\",\"tagName\":\"公共火灾报警火气检测\"}]";

        System.out.println("test");
    }


    @org.junit.jupiter.api.Test
    public void execute() {
        try {
            long startTime = System.currentTimeMillis();

            Set<String> redisKeys = redisTemplate.keys(LocalDate.now().minusDays(1) + "*");
            List<PlatformInfo> platformInfos = platformInfoService.list();

            Map<String, PlatformInfo> platformMap = new HashMap<>();
            for (PlatformInfo platformInfo : platformInfos) {
                platformMap.put(platformInfo.getPlatformCode(), platformInfo);
            }
            if (redisKeys == null) {
                return;
            }
            for (String key : redisKeys) {
                processKey(key, platformMap);
            }
            long endTime = System.currentTimeMillis();
            long executionTime = endTime - startTime; //milliseconds
            String executionTimeStr = String.format("%d milliseconds", executionTime);
            CollectLog collectLog = new CollectLog();
            collectLog.setCommand("tag_online_rate");
            collectLog.setData(executionTimeStr);
            collectLogService.save(collectLog);

        } catch (Exception e) {
            CollectLog collectLog = new CollectLog();
            collectLog.setCommand("error");
            collectLog.setData("tag_online_rate==error=="+e.getMessage());
            collectLogService.save(collectLog);
        }
    }

    private void processKey(String key, Map<String, PlatformInfo> platformMap) {

        BoundHashOperations boundHashOperations = redisTemplate.boundHashOps(key);
        String resource = (String) boundHashOperations.get("resource");
        Integer receivedCount = Optional.ofNullable((Integer) boundHashOperations.get("count")).orElse(0);
        String entity = (String) boundHashOperations.get("entity");
        LocalDateTime beginTime = parseDateTime((String) boundHashOperations.get("begin_time"));
        LocalDateTime endTime = parseDateTime((String) boundHashOperations.get("end_time"));

        TagOnlineRate tagOnlineRate = new TagOnlineRate();
        switch (Objects.requireNonNull(resource)) {
            case "perception_monitor_fire_info":
                PerceptionMonitorFireInfo fireInfo = JSONUtil.toBean(entity, PerceptionMonitorFireInfo.class); // 将JSON字符串转换为Java对象

                tagOnlineRate = processFireInfo(fireInfo, tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
                break;
            case "perception_monitor_gas_info":
                PerceptionMonitorGasInfo gasInfo = JSONUtil.toBean(entity, PerceptionMonitorGasInfo.class); // 将JSON字符串转换为Java对象

                tagOnlineRate = processGasInfo(gasInfo, tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
                break;
            case "perception_monitor_hazardous_gas_info":
                PerceptionMonitorHazardousGasInfo hazardousGasInfo = JSONUtil.toBean(entity, PerceptionMonitorHazardousGasInfo.class); // 将JSON字符串转换为Java对象

                tagOnlineRate = processHazardousGasInfo(hazardousGasInfo, tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
                break;
            case "perception_monitor_info":
                PerceptionMonitorInfo monitorInfo = JSONUtil.toBean(entity, PerceptionMonitorInfo.class); // 将JSON字符串转换为Java对象

                tagOnlineRate = processMonitorInfo(monitorInfo, tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
                break;
            default:
                break;
        }

        tagOnlineRateService.save(tagOnlineRate);
    }

    private LocalDateTime parseDateTime(String dateTimeStr) {
        List<String> formats = Arrays.asList(
                "yyyy-MM-dd'T'HH:mm:ss",
                "yyyy-MM-dd'T'HH:mm:ss.SSS"
        );
        LocalDateTime dateTime = null;
        if (dateTimeStr != null) {
            for (String format : formats) {
                try {
                    DateTimeFormatter formatter = DateTimeFormatter.ofPattern(format);
                    dateTime = LocalDateTime.parse(dateTimeStr, formatter);
                    break;
                } catch (DateTimeParseException e) {
                    // Ignore and try the next format
                }
            }
        }
        return dateTime;
    }

    private TagOnlineRate processFireInfo(PerceptionMonitorFireInfo fireInfo, TagOnlineRate tagOnlineRate, Map<String, PlatformInfo> platformMap, Integer receivedCount, LocalDateTime beginTime, LocalDateTime endTime, String resource) {
        if (fireInfo != null) {
            return fillTagOnlineRate(fireInfo.getAppId(), fireInfo.getPlatformCode(), fireInfo.getTagId(), fireInfo.getTagCode(), fireInfo.getTagName(), tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
        } else return null;
    }

    private TagOnlineRate processGasInfo(PerceptionMonitorGasInfo gasInfo, TagOnlineRate tagOnlineRate, Map<String, PlatformInfo> platformMap, Integer receivedCount, LocalDateTime beginTime, LocalDateTime endTime, String resource) {
        if (gasInfo != null) {
            return fillTagOnlineRate(gasInfo.getAppId(), gasInfo.getPlatformCode(), gasInfo.getTagId(), gasInfo.getTagCode(), gasInfo.getTagName(), tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
        } else return null;
    }

    private TagOnlineRate processHazardousGasInfo(PerceptionMonitorHazardousGasInfo hazardousGasInfo, TagOnlineRate tagOnlineRate, Map<String, PlatformInfo> platformMap, Integer receivedCount, LocalDateTime beginTime, LocalDateTime endTime, String resource) {
        if (hazardousGasInfo != null) {
            return fillTagOnlineRate(hazardousGasInfo.getAppId(), hazardousGasInfo.getPlatformCode(), hazardousGasInfo.getTagId(), hazardousGasInfo.getTagCode(), hazardousGasInfo.getTagName(), tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
        } else return null;
    }

    private TagOnlineRate processMonitorInfo(PerceptionMonitorInfo monitorInfo, TagOnlineRate tagOnlineRate, Map<String, PlatformInfo> platformMap, Integer receivedCount, LocalDateTime beginTime, LocalDateTime endTime, String resource) {
        if (monitorInfo != null) {
            return fillTagOnlineRate(monitorInfo.getAppId(), monitorInfo.getPlatformCode(), monitorInfo.getTagId(), monitorInfo.getTagCode(), monitorInfo.getTagName(), tagOnlineRate, platformMap, receivedCount, beginTime, endTime, resource);
        } else return null;
    }


    private TagOnlineRate fillTagOnlineRate(String appId, String platformCode, String tagId, String tagCode, String tagName, TagOnlineRate tagOnlineRate, Map<String, PlatformInfo> platformMap, Integer receivedCount, LocalDateTime beginTime, LocalDateTime endTime, String resource) {
        tagOnlineRate.setAppId(appId);
        tagOnlineRate.setPlatformCode(platformCode);
        tagOnlineRate.setOilGasName(platformMap.get(platformCode).getOilGasName());
        tagOnlineRate.setPlatformName(platformMap.get(platformCode).getPlatformName());
        tagOnlineRate.setOperatingCompany(platformMap.get(platformCode).getOperatingCompany());
        tagOnlineRate.setTagId(tagId);
        tagOnlineRate.setTagCode(tagCode);
        tagOnlineRate.setTagName(tagName);
        tagOnlineRate.setBeginTime(beginTime);
        tagOnlineRate.setEndTime(endTime);
        tagOnlineRate.setReceiveCount(receivedCount);
        tagOnlineRate.setShouldReceiveCount(143);
        tagOnlineRate.setOnlineRate(receivedCount != null ? String.valueOf((float) receivedCount / 143) : "0");
        tagOnlineRate.setResourceTable(resource);
        tagOnlineRate.setCreateTime(LocalDateTime.now());
        tagOnlineRate.setUpdateTime(LocalDateTime.now());
        tagOnlineRate.setDataDate(LocalDate.now().minusDays(1).toString());

        return tagOnlineRate;
    }
}
